Retrieve Entity Status
POST
https://dev-api.monoova.com/kyb/v1/EntityStatus
Body Parameters
- bodyRetrieve_Entity_StatusDescription
- applicantIdstringrequired
Responses
200
- Retrieve_Entity_Status_-_Response
- statusstring
- responseobject
- applicantStatusstring
- reviewAnswerstring
- createdDatestring
- rejectLabelsstring[]
- entityNamestring
- registrationNumberstring
- entityTypestring
- incorporatedOnstring
- entityCountrystring
- registrySourcestring
- registeredAddressstring
- representativeEmailstring
- representativePhonestring
- flowAnswersobject[]
curl
curl --request POST \
--url https://dev-api.monoova.com/kyb/v1/EntityStatus \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"applicantId": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"applicantId": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://dev-api.monoova.com/kyb/v1/EntityStatus", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev-api.monoova.com/kyb/v1/EntityStatus")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"applicantId": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev-api.monoova.com/kyb/v1/EntityStatus"
payload = json.dumps({
"applicantId": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// The "reviewAnswer" field of the response will either be Approved or Rejected, but both will return a 200 response.
{
"status": "",
"response": {
"applicantStatus": "",
"reviewAnswer": "",
"createdDate": "",
"rejectLabels": [
""
],
"entityName": "",
"registrationNumber": "",
"entityType": "",
"incorporatedOn": "",
"entityCountry": "",
"registrySource": "",
"registeredAddress": "",
"representativeEmail": "",
"representativePhone": "",
"flowAnswers": [
{}
]
}
}Use the this endpoint to check the onboarding status of an entity created in the Entity and Verify endpoint.